--
--This script extracts data from the employee
--table, and writes it to a text file in
--a comma-delimited format.
--

--Tell the user what he is about to do.
PROMPT
PROMPT This script creates a file of INSERT statements,
PROMPT one for each employee record.
PROMPT

--Give the user a chance to bail-out.
PAUSE Press ENTER to continue, or ctrl-C to abort.

--Ask the user for a filename.
ACCEPT OUTPUT_FILE CHAR PROMPT 'Enter the output filename >'

--Set the linesize to accomodate the longest possible line.
SET LINESIZE 136

--Turn off all page headings, column headings, etc.
SET PAGESIZE 0

--Turn off feedback
SET FEEDBACK OFF

--Eliminate trailing blanks at the end of a line.
SET TRIMSPOOL ON

SET TERMOUT OFF
SPOOL &OUTPUT_FILE
SELECT 'INSERT INTO employee' || chr(10)
    || '  (employee_id, employee_name, employee_hire_date' || chr(10)
    || '  ,employee_termination_date, employee_billing_rate)' || chr(10)
    || '  VALUES (' || TO_CHAR(employee_id) || ',' || chr(10)
    || '          ''' || employee_name || ''',' || chr(10)
    || '          TO_DATE('''
                    || TO_CHAR(employee_hire_date,'MM/DD/YYYY')
                    || ''',''MM/DD/YYYY''),' || chr(10)
    || '          TO_DATE('''
                    || TO_CHAR(employee_termination_date,'MM/DD/YYYY')
                    || ''',''MM/DD/YYYY''),' || chr(10)
    || '          ' || TO_CHAR(employee_billing_rate) || ');'
  FROM employee;
SPOOL OFF

--Restore the default settings.
SET LINESIZE 80
SET PAGESIZE 24
SET FEEDBACK ON
SET TERMOUT ON


