--
--This script extracts data from the employee
--table, and writes it to a text file in
--a comma-delimited format.
--

--Tell the user what he is about to do.
PROMPT
PROMPT This script creates a comma-delimited text file containing
PROMPT employee data. All records from the employee table will
PROMPT be output to this file.
PROMPT

--Give the user a chance to bail-out.
PAUSE Press ENTER to continue, or ctrl-C to abort.

--Ask the user for a filename.
ACCEPT OUTPUT_FILE CHAR PROMPT 'Enter the output filename >'

--Set the linesize to accomodate the longest possible line.
SET LINESIZE 136

--Turn off all page headings, column headings, etc.
SET PAGESIZE 0

--Turn off feedback
SET FEEDBACK OFF

--Eliminate trailing blanks at the end of a line.
SET TRIMSPOOL ON

SET TERMOUT OFF
SPOOL &OUTPUT_FILE
SELECT TO_CHAR(employee_id) || ','
       || '"' || employee_name || '",'
       || TO_CHAR(employee_hire_date,'MM/DD/YYYY') || ','
       || TO_CHAR(employee_termination_date,'MM/DD/YYYY') || ','
       || TO_CHAR(employee_billing_rate)
  FROM employee;
SPOOL OFF

--Restore the default settings.
SET LINESIZE 80
SET PAGESIZE 24
SET FEEDBACK ON
SET TERMOUT ON


