--DESCRIPTION
--List tables owned by the current user, or owned by a specified user.
--The user is prompted for an owner name. If an owner is not specified, 
--i.e. the user just presses ENTER, then tables are listed for 
--the current user.

SET ECHO OFF
SET FEEDBACK OFF
SET VERIFY OFF
SET DEFINE ON
SET HEADING OFF

--Ask the user for the owner.
ACCEPT username CHAR PROMPT 'List tables for user: '
PROMPT

--Setup the title to print the owner.
TTITLE LEFT 'TABLES OWNED BY: ' owner SKIP 1
COLUMN owner NOPRINT NEW_VALUE owner

--List the tables.
SELECT DECODE('&&username',NULL,USER,UPPER('&&username')) owner,
       '     ' indent,
       table_name
  FROM all_tables
 WHERE owner = DECODE('&&username',NULL,USER,UPPER('&&username'))
 ORDER BY table_name;

--Clean up: undefine vars, clear columns, change settings back to defaults.
UNDEFINE username
UNDEFINE owner
COLUMN owner CLEAR
TTITLE OFF
SET HEADING ON
SET FEEDBACK ON
SET VERIFY ON


